Where is the glassfish-embedded-all 3.1.2 artifact?

The glassfish-embedded-all artifact is required for running tests with the Embedded GlassFish container adapter. When GlassFish 3.1.2 was released, the groupId of this artifact was changed from org.glassfish.extras to org.glassfish.main.extras.

 

To upgrade to Embedded GlassFish 3.1.2, find the following artifact in your Maven POM:

 

<dependency>
  <groupId>org.glassfish.extras</groupId>
  <artifactId>glassfish-embedded-all</artifactId>
  <version>3.1</version>
</dependency>

 

and replace it with this declaration:

 

<dependency>
 <groupId>org.glassfish.extras</groupId>
 <artifactId>glassfish-embedded-all</artifactId>
 <version>3.1</version>
</dependency>

 

Now you can run your tests using Embedded GlassFish 3.1.2.

 

You are also advised to upgrade the Arquillian container adapter for Embedded GlassFish to 1.0.0.CR2 or better.